Groovy 1.7.10

## org.codehaus.groovy.classgen
[Java] Class Variable

    java.lang.Object
      org.codehaus.groovy.classgen.Variable

    public class Variable
    extends Object

Represents compile time variable metadata while compiling a method.

Authors:
  James Strachan
  Jochen Theodorou

Version:
  \$Revision: 13934 \$

Field Summary
`static Variable` | `SUPER_VARIABLE`
`static Variable` | `THIS_VARIABLE`

Constructor Summary
`Variable(int index, ClassNode type, String name, int prevCurrent)`

Method Summary
`org.objectweb.asm.Label` | `getEndLabel()`
`int` | `getIndex()` @return the stack index for this variable
`String` | `getName()`
`int` | `getPrevIndex()`
`org.objectweb.asm.Label` | `getStartLabel()`
`ClassNode` | `getType()`
`String` | `getTypeName()`
`boolean` | `isDynamicTyped()`
`boolean` | `isHolder()` @return is this local variable shared in other scopes (and so must use a ValueHolder)
`boolean` | `isProperty()`
`void` | `setDynamicTyped(boolean b)`
`void` | `setEndLabel(org.objectweb.asm.Label endLabel)`
`void` | `setHolder(boolean holder)`
`void` | `setProperty(boolean property)`
`void` | `setStartLabel(org.objectweb.asm.Label startLabel)`
`void` | `setType(ClassNode type)`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### SUPER_VARIABLE

    public static final Variable SUPER_VARIABLE

### THIS_VARIABLE

    public static final Variable THIS_VARIABLE

Constructor Detail

### Variable

    public Variable(int index, ClassNode type, String name, int prevCurrent)

Method Detail

### getEndLabel

    public org.objectweb.asm.Label getEndLabel()

### getIndex

    public int getIndex()

  Returns:
    the stack index for this variable

### getName

    public String getName()

### getPrevIndex

    public int getPrevIndex()

### getStartLabel

    public org.objectweb.asm.Label getStartLabel()

### getType

    public ClassNode getType()

### getTypeName

    public String getTypeName()

### isDynamicTyped

    public boolean isDynamicTyped()

### isHolder

    public boolean isHolder()

  Returns:
    is this local variable shared in other scopes (and so must use a ValueHolder)

### isProperty

    public boolean isProperty()

### setDynamicTyped

    public void setDynamicTyped(boolean b)

### setEndLabel

    public void setEndLabel(org.objectweb.asm.Label endLabel)

### setHolder

    public void setHolder(boolean holder)

### setProperty

    public void setProperty(boolean property)

### setStartLabel

    public void setStartLabel(org.objectweb.asm.Label startLabel)

### setType

    public void setType(ClassNode type)

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.